<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>bin\Debug\OpenAuth.WebApi.xml</DocumentationFile>
	  <NoWarn>1701;1702;1591;1573;1572;1570</NoWarn>
  </PropertyGroup>

  <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
    <DocumentationFile>bin\Release\OpenAuth.WebApi.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="log\**" />
    <Compile Remove="wwwroot\**" />
    <Content Remove="log\**" />
    <Content Remove="wwwroot\**" />
    <EmbeddedResource Remove="log\**" />
    <EmbeddedResource Remove="wwwroot\**" />
    <None Remove="log\**" />
    <None Remove="wwwroot\**" />
    <EmbeddedResource Include="index.html" />
    <None Remove="temp-keys\key-4421ef20-c9a7-4085-ab32-780e0497cf9b.xml" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="log4net" Version="2.0.15" />
    <PackageReference Include="IdentityServer4.AccessTokenValidation" Version="3.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="6.0.16" />

    <PackageReference Include="Microsoft.Extensions.Caching.Memory" Version="6.0.1" />
    <PackageReference Include="Microsoft.Extensions.DependencyModel" Version="6.0.0" />
    <PackageReference Include="Microsoft.Extensions.Hosting" Version="6.0.1" />
    <PackageReference Include="Microsoft.Extensions.Logging.Log4Net.AspNetCore" Version="6.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.17.2" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="6.0.13" />
    <PackageReference Include="MiniProfiler.AspNetCore" Version="4.2.22" />
    <PackageReference Include="MiniProfiler.AspNetCore.Mvc" Version="4.2.22" />
    <PackageReference Include="MiniProfiler.Shared" Version="4.2.22" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.2" />
	<PackageReference Include="MQTTnet" Version="4.1.4.563" />
    <PackageReference Include="NPOI" Version="2.5.6" />
    <PackageReference Include="Quartz" Version="3.6.2" />
    <PackageReference Include="Quartz.Extensions.DependencyInjection" Version="3.6.2" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Infrastructure\Infrastructure.csproj" />
    <ProjectReference Include="..\OpenAuth.App\OpenAuth.App.csproj" />
    <ProjectReference Include="..\OpenAuth.Repository\OpenAuth.Repository.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Autofac.Extensions.DependencyInjection">
      <HintPath>..\..\..\Users\Administrator\.nuget\packages\autofac.extensions.dependencyinjection\4.0.0\lib\netstandard1.1\Autofac.Extensions.DependencyInjection.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.Production.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <None Update="Dockerfile11111">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Controllers\BaseControllers\Permission\" />
  </ItemGroup>

</Project>
